#version 120

uniform sampler2D DiffuseSampler;
varying vec2 texCoord;


//width of steps (higher numbers make quality worse)
float blurWidth=0.001;

//horizontal steps (higher numbers cause more lag)
float blurStepsX=6.0;

//vertical steps (higher numbers cause more lag)
float blurStepsY=8.0;

//bloom brightness
float amount=1.0;

void main() {
    vec4 color=texture2D(DiffuseSampler, texCoord);
    float brightness=(color.r+color.g+color.b)/3.0;

    vec4 sum = vec4(0);
    float j;
    float i;

    for( i= -blurStepsY ;i < blurStepsY; i++){
        for (j = -blurStepsX; j < blurStepsX; j++){
            sum += texture2D(DiffuseSampler, texCoord + vec2(j, i)*blurWidth) *(10.0/(   ((blurStepsY*2.0)+1)*((blurStepsX*2.0)+1)   ));
        }
    }
    vec4 modifier = sum*sum*(0.015-(brightness*0.01));
    vec4 outputColor = modifier*amount + color;
    
    gl_FragColor = outputColor;
}
